GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreatePickupService Class Reference

## Public Member Functions
PickAndReturnService | getPickAndReturnService ()
void | setPickAndReturnService (PickAndReturnService value)
PickAndShipService | getPickAndShipService ()
void | setPickAndShipService (PickAndShipService value)

## Protected Attributes
PickAndReturnService | pickAndReturnService
PickAndShipService | pickAndShipService

## Detailed Description

Abstract shipment service container covers the available services on shipment level for pickup services

Java class for CreatePickupService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="CreatePickupService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <choice>
              <element name="PickAndReturnService" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}PickAndReturnService"/>
              <element name="PickAndShipService" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}PickAndShipService"/>
            </choice>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 42 of file CreatePickupService.java.

## Member Function Documentation

## ◆ getPickAndReturnService()

PickAndReturnService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreatePickupService.getPickAndReturnService | ( |  | ) |

Gets the value of the pickAndReturnService property.

Returns
  possible object is PickAndReturnService

Definition at line 57 of file CreatePickupService.java.

## ◆ getPickAndShipService()

PickAndShipService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreatePickupService.getPickAndShipService | ( |  | ) |

Gets the value of the pickAndShipService property.

Returns
  possible object is PickAndShipService

Definition at line 81 of file CreatePickupService.java.

## ◆ setPickAndReturnService()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreatePickupService.setPickAndReturnService | ( | PickAndReturnService | value | ) |

Sets the value of the pickAndReturnService property.

Parameters

  value | allowed object is PickAndReturnService

Definition at line 69 of file CreatePickupService.java.

## ◆ setPickAndShipService()

void eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreatePickupService.setPickAndShipService | ( | PickAndShipService | value | ) |

Sets the value of the pickAndShipService property.

Parameters

  value | allowed object is PickAndShipService

Definition at line 93 of file CreatePickupService.java.

## Member Data Documentation

## ◆ pickAndReturnService

PickAndReturnService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreatePickupService.pickAndReturnService
| protected

Definition at line 45 of file CreatePickupService.java.

## ◆ pickAndShipService

PickAndShipService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreatePickupService.pickAndShipService
| protected

Definition at line 47 of file CreatePickupService.java.

The documentation for this class was generated from the following file:

- CreatePickupService.java